Which GhostScript 8.63 version to use? - OS2

This is a discussion on Which GhostScript 8.63 version to use? - OS2 ; I have installed the 'earlier' release of GhostScript 8.63 and got the Voice alert that Paul Smedley has a new release of 8.63 on his site. Curious, I downloaded his and compared the raw file size and overviewed the internal ...

+ Reply to Thread
Results 1 to 6 of 6

Thread: Which GhostScript 8.63 version to use?

  1. Which GhostScript 8.63 version to use?

    I have installed the 'earlier' release of GhostScript 8.63 and got the Voice
    alert that Paul Smedley has a new release of 8.63 on his site. Curious, I
    downloaded his and compared the raw file size and overviewed the internal
    composition to the other one. They are different.

    Which should be used? If an 'update' install of Paul's latest very appreciated
    work is what should be done, what do we do? Simply do a Gview 4.9 over install
    with Paul's archive in the install directory?

    Thanks!

    --


    --> Sleep well; OS2's still awake!

    Mike Luther

  2. Re: Which GhostScript 8.63 version to use?

    On 13 Ott, 15:59, Mike Luther wrote:
    > I have installed the 'earlier' release of GhostScript 8.63 and got the Voice
    > alert that Paul Smedley has a new release of 8.63 on his site. *Curious, I
    > downloaded his and compared the raw file size and overviewed the internal
    > composition to the other one. *They are different.
    >
    > Which should be used? *If an 'update' install of Paul's latest very appreciated
    > work is what should be done, what do we do? *Simply do a Gview 4.9 overinstall
    > with Paul's archive in the install directory?
    >
    > Thanks!


    Hi Mike, I think that the most important difference between those
    version is that the latest has been built with GCC 4.3.2 (btw Paul
    released a new version right today, with threading and other important
    things).

    I think I'll install many new things asap, having some spare time.

    Mentore

  3. Re: Which GhostScript 8.63 version to use?

    Thanks!

    mentoruccio wrote:
    > On 13 Ott, 15:59, Mike Luther wrote:
    >> I have installed the 'earlier' release of GhostScript 8.63 and got the Voice
    >> alert that Paul Smedley has a new release of 8.63 on his site. Curious, I
    >> downloaded his and compared the raw file size and overviewed the internal
    >> composition to the other one. They are different.
    >>
    >> Which should be used? If an 'update' install of Paul's latest very appreciated
    >> work is what should be done, what do we do? Simply do a Gview 4.9 over install
    >> with Paul's archive in the install directory?
    >>
    >> Thanks!

    >
    > Hi Mike, I think that the most important difference between those
    > version is that the latest has been built with GCC 4.3.2 (btw Paul
    > released a new version right today, with threading and other important
    > things).
    >
    > I think I'll install many new things asap, having some spare time.
    >
    > Mentore


    Thinking about this I tried an overlay install on a non-critical box. Simply
    used Paul's archive and re-installed things. As far as I can tell that's
    working just fine here. All the .PDF files I can test so far work the same as
    before with the other 8.63 version.

    Thinking back, I could have deleted the older 8.63 directory in the \GS
    directory and let the install process complete rebuild that. But as far as I
    can tell at this point it doesn't seem to matter for what use is made of the
    tools here.

    Any other thoughts would be appreciated too!

  4. Re: Which GhostScript 8.63 version to use?

    Mike Luther wrote:
    > I have installed the 'earlier' release of GhostScript 8.63 and got the
    > Voice alert that Paul Smedley has a new release of 8.63 on his site.
    > Curious, I downloaded his and compared the raw file size and overviewed
    > the internal composition to the other one. They are different.
    >
    > Which should be used? If an 'update' install of Paul's latest very
    > appreciated work is what should be done, what do we do? Simply do a
    > Gview 4.9 over install with Paul's archive in the install directory?
    >
    > Thanks!
    >

    Here's what Paul Smedley had to say when I asked him the same question:

    They are both based on the 8.63 Ghostscript code. The differences are:
    1) Jbig2 support has been added in the 20081012 release which helps open
    certain PDFs
    2) The August build was done with GCC 3.3.5, the October build was done
    with GCC 4.3.2

  5. Re: Which GhostScript 8.63 version to use?

    Hi Guys,

    On Mon, 13 Oct 2008 19:47:31 UTC, "James J. Weinkam"
    wrote:

    > Mike Luther wrote:
    > > I have installed the 'earlier' release of GhostScript 8.63 and got the
    > > Voice alert that Paul Smedley has a new release of 8.63 on his site.
    > > Curious, I downloaded his and compared the raw file size and overviewed
    > > the internal composition to the other one. They are different.
    > >
    > > Which should be used? If an 'update' install of Paul's latest very
    > > appreciated work is what should be done, what do we do? Simply do a
    > > Gview 4.9 over install with Paul's archive in the install directory?
    > >
    > > Thanks!
    > >

    > Here's what Paul Smedley had to say when I asked him the same question:
    >
    > They are both based on the 8.63 Ghostscript code. The differences are:
    > 1) Jbig2 support has been added in the 20081012 release which helps open
    > certain PDFs
    > 2) The August build was done with GCC 3.3.5, the October build was done
    > with GCC 4.3.2


    The major different is 1) above. I got a note from a user that they
    were gettings errors from some PDF files relating to Jbig support. I
    did think that I documented this pretty well at
    http://www.smedley.info/os2ports/ind...ge=ghostscript under
    'History' but obviously it wasn't clear

    --
    Cheers,

    Paul.

  6. Re: Which GhostScript 8.63 version to use?

    Thanks Paul..

    Paul Smedley wrote:

    > Hi Guys,


    >
    > The major different is 1) above. I got a note from a user that they
    > were gettings errors from some PDF files relating to Jbig support. I
    > did think that I documented this pretty well at
    > http://www.smedley.info/os2ports/ind...ge=ghostscript under
    > 'History' but obviously it wasn't clear
    >


    Well at this point what I've done on a number of boxes is to simply to a
    reinstall as an over-install on a number of boxes. As far as I can tell that's
    not caused any problems.

    Thanks for all your very important work Paul!

    --


    --> Sleep well; OS2's still awake!

    Mike Luther

+ Reply to Thread